Subject: Re: bug#68373: 29.1; Bug in MH-E's support for using openssl to generate the checksum

From: Marc Baaden <[email-masked]>
Date: Mon, 15 Jan 2024 00:00:22 +0100

Hi Mike,

Sure. Concerning MacOS, actually now I am on 12 because when my new
harddisk replacement (sort of memory stick) arrived, it was not
recognized by OS Catalina v10 and I was forced to upgrade. I hope this
will not mess up the bug follow-up.

I used your email text file for this test.

:541; openssl version
OpenSSL 3.1.2 1 Aug 2023 (Library: OpenSSL 3.1.2 1 Aug 2023)

:542; openssl md5 BU/6
MD5(BU/6)= f4aa56ee20c406082d260b0b3b0e3ca1

Let me know if you need anything else,
Kind regards,
Marc

Mike Kupfer <[email-masked]> wrote:

> MH-E will look for md5sum, openssl, and md5, in that order.  The first
> one that it finds will be used.  So with just openssl and md5 installed,
> MH-E will use openssl.
> 
> Given that we are working with MacOS 10, I wonder if there is some
> incompatibility between MH-E and the openssl that is installed.  This
> could be in the command-line syntax or in the format of the output.
> 
> Marc, could you find a text file, run the following 2 commands, and then
> reply with the output from the commands?
> 
>   openssl version
> 
>   openssl md5 <path_to_text_file>
> 
> thanks,
> mike
>